# $Id: monit.spec,v 1.16 2004/03/01 11:50:13 homyakov Exp $

%define monit_version	4.9
%define monit_release	alt4.M24.1

# FIXME: add support for cvs snapshots
%define cvs_snap 0

%define feature_initscripts %nil

%{?_with_M22:      %{expand: %%define feature_initscripts 2_2}}
%{?_with_Sisyphus: %{expand: %%define feature_initscripts 2_3}}
%{?_with_cvs:      %{expand: %%define cvs_snap 1}}

%if "%feature_initscripts" == ""
%define feature_initscripts %([ -e /etc/init.d/functions-compat ] && echo "2_3" || echo "2_2")
%endif

# we don't want to add a feature to legacy package by default
%if "%feature_initscripts" == "2_2"
%define release_tag .M22
%else
%define release_tag %nil
%endif

Name: 		monit
Version:	%monit_version
Release:	%monit_release%release_tag

Summary: 	    	Process monitor and restart utility
Summary(ru_RU.KOI8-R):      
Summary(uk_UA.KOI8-U): ̦  Φ Ӧ  ͦ

License: 	GPL
Group: 		System/Servers
Url: 		http://www.tildeslash.com/monit/

%if %cvs_snap
%define srcname %name-current
%else
%define srcname %name-%version
%endif

%if %cvs_snap
Source0: %srcname.tar.bz2
%else
Source0: http://www.tildeslash.com/monit/beta/%srcname.tar.gz
%endif

Source1: monit.init.2_2
Source2: monit.init.2_3

Source3: monitrc
Source4: %name.cnf
Source5: README.Certificate-Creation
Source6: %{name}rc.d.tar.bz2

Patch: monit-4.7-pkgconfig-configure.patch

#Patch: monit-4.4-alt-page_shift.patch

Packager: Michael Shigorin <mike@altlinux.org>

%if "%feature_initscripts" == "2_2"
PreReq: coreutils, openssl
%else
# FIXME: findutils, textutils ???
PreReq: openssl 
%endif

Requires(post,preun): chkconfig
Requires: %name-base >= %version

%if "%feature_initscripts" == "2_2"
Requires(post,preun): initscripts
%else
Requires(post,preun): service >= 0.5-alt1
%endif

# Automatically added by buildreq on Thu Feb 17 2005
BuildRequires: flex hostinfo libssl-devel
BuildRequires: pkgconfig

%package base
Summary: monit configuration files
Summary(RU_ru.KOI8-R):    monit
Summary(uk_UA.KOI8-U): ƦæΦ   monit
Group: System/Servers
Provides: /etc/monitrc.d

%description
monit is an utility for monitoring services or similar programs running on
a Unix system. It will start specified programs if they are not running
and restart programs not responding.

%description  -l ru_RU.KOI8-R
Monit       ( )
   UNIX. Monit    :
  -   
  -   ()
  -   (SMTP,POP3,IMAP,NNTP,HTTP,SSH,FTP)
  -      
  -   

%description -l uk_UA.KOI8-U
Monit դ     Ӧ ( צӦ),
 Φ  ͦ UNIX. Monit  ̦  ˦ :
  -  
  - צ  '
  - Φ  (SMTP,POP3,IMAP,NNTP,HTTP,SSH,FTP)
  -   'Ԧ   Ӧ
  - Ԧ ͦ 

%description base
Configuration files for monit service

%description -l ru_RU.KOI8-R base
   monit

%description -l uk_UA.KOI8-U base
ƦæΦ   monit

%prep
%if "%feature_initscripts" == ""
echo "*** Unable to determine target distribution"
echo "*** use --with M22 or --with Sisyphus"
exit 1
%endif

%setup -q -n %srcname
%patch -p1

%build

%define _ssldir %_var/lib/ssl
%define _pemdir %_ssldir/certs

%if %{cvs_snap}
./make_man
./autogen.sh
%endif

autoreconf -fisv
%configure
%make_build

%install
%makeinstall DESTDIR=%buildroot

cat %SOURCE3 >>%{name}rc

%if "%feature_initscripts" == "2_2"
	install -pD -m755 %SOURCE1  %buildroot%_initdir/%name
%else 
	install -pD -m755 %SOURCE2  %buildroot%_initdir/%name
%endif
install -pD -m600 %{name}rc %buildroot%_sysconfdir/%{name}rc
install -pD -m644 %SOURCE4  %buildroot%_ssldir/%name.cnf

mkdir -p %buildroot%_sysconfdir/%{name}rc.d/
mkdir -p %buildroot%_pemdir
touch %buildroot%_pemdir/%name.pem

#__bzip2 -dc %SOURCE6 | cpio -id 
tar jxpf %SOURCE6
mv %{name}rc.d examples
ln -s %_docdir/%name-%version/examples %buildroot%_sysconfdir/%{name}rc.d/EXAMPLES

%post
cd %_pemdir
if [ ! -f %name.pem ]; then
	umask 077
	echo -e '\n.\n.\n.\n.\n.\n' |
	openssl req -newkey rsa:1024 -x509 -days 365 -nodes \
		-config %_ssldir/%name.cnf \
		-keyout %name.pem -out %name.pem &>/dev/null
fi

%post_service %name

%preun
%preun_service %name

%files
%doc README* FAQ.txt CHANGES.txt LICENSE STATUS examples/
%config %_initdir/%name
%ghost %attr(600,root,root) %config(noreplace,missingok) %_pemdir/*
%config(noreplace) %_sysconfdir/%{name}rc
%config(noreplace) %_ssldir/%name.cnf
%_sysconfdir/%{name}rc.d/EXAMPLES
%_bindir/%name
%_man1dir/%name.1.*

%files base
%dir %_sysconfdir/%{name}rc.d

%changelog
* Mon Sep 10 2007 Michael Shigorin <mike@altlinux.org> 4.9-alt4.M24.1
- built for M24 based largely on 4.8-alt0.M24.1 spec
  (left "M22 cruft" in so it should be occasionally
  buildable and usable there)
- somewhat merged with current package (4.9-alt5)
- build highlights are:
  + initscript fixes/improvements (conftest, status, off by default);
  + added more service configuration examples
    (NB: was postfix in libexec back then?)
- this well might be the last monit backport to M24 by me,
  moving servers to M40

* Mon Sep 10 2007 Michael Shigorin <mike@altlinux.org> 4.9-alt5
- added monit configuration validity check to initscript
  (on start/restart/reload)                                                                                              

* Mon Jun 25 2007 Michael Shigorin <mike@altlinux.org> 4.9-alt4
- fixed initscript not to overlap two status handlers
  (the more verbose and specific one is now "summary");
  thanks enp@ for buggin' me (#12133)
- modified default monitrc and initscript to point out that
  web interface is used for status/summary too

* Fri Mar 09 2007 Michael Shigorin <mike@altlinux.org> 4.9-alt3
- updated samba config (pidfiles in /var/lock); thanks ab@

* Thu Mar 08 2007 Michael Shigorin <mike@altlinux.org> 4.9-alt2
- updated postfix configuration snippet (moved to libexec: #10965,
  thanks Slava Dubrovskiy (dubrsl@) for notification)
- added configuration (will likely need manual editing) for:
  amavisd, apcupsd, nscd, privoxy, proftpd, sendmail, slapd, snmpd, spamd
- NB: samba example needs an update (regarding pidfiles at least)

* Tue Feb 20 2007 Michael Shigorin <mike@altlinux.org> 4.9-alt1
- 4.9 (minor feature enhancements)
- removed patch2 (was from CVS so already included)
- fixed summary in Russian, added in Ukrainian

* Thu Dec 28 2006 Michael Shigorin <mike@altlinux.org> 4.8.2-alt4
- monit-base now provides /etc/monitrc.d (fixes: #10559)

* Fri Dec 22 2006 Michael Shigorin <mike@altlinux.org> 4.8.2-alt3
- service off by default, see also [ru]:
  http://lists.altlinux.org/pipermail/devel/2006-December/039909.html

* Mon Dec 04 2006 Michael Shigorin <mike@altlinux.org> 4.8.2-alt2
- added CVS patch to fix "-l" option, see 
  http://lists.gnu.org/archive/html/monit-dev/2006-12/msg00004.html

* Mon Nov 20 2006 Michael Shigorin <mike@altlinux.org> 4.8.2-alt1
- 4.8.2
- spec cleanup (including lots of cruft and M22 support)
- updated Packager:

* Fri Sep 01 2006 Michael Shigorin <mike@altlinux.org> 4.8.1-alt1
- 4.8.1
- fixed #9910 (default monitrc needed an update);
  thanks hiddenman@

* Thu May 04 2006 Michael Shigorin <mike@altlinux.org> 4.8-alt0.M24.1
- built for M24
- merged with current Sisyphus spec

* Thu May 04 2006 Michael Shigorin <mike@altlinux.org> 4.8-alt1
- 4.8

* Sun Mar 19 2006 Michael Shigorin <mike@altlinux.org> 4.7-alt7
- spec fixes to (hopefully) enable changes in 4.7-alt6
  (thanks damir@ again; I can't verify x86_64 build myself)

* Sat Mar 18 2006 Michael Shigorin <mike@altlinux.org> 4.7-alt6
- added configure patch by Damir Shayhutdinov (damir@)
  to fix build (particularly on x86_64)

* Thu Mar 09 2006 Michael Shigorin <mike@altlinux.org> 4.7-alt5
- fixed monitrc not to mention external domains -- currently
  from: was referring nonexistant as of today domain name
  and what's worse, alert destination mentioned existing
  domain with quite possibly existing user name; as was proposed
  earlier and is implemented now, "root@localhost" is more safe
  and robust default

* Fri Mar 03 2006 Michael Shigorin <mike@altlinux.org> 4.7-alt4
- fixed #9173 (incorrect sample configuration for 
  ntpd monitoring), thanks gns@

* Fri Jan 27 2006 Michael Shigorin <mike@altlinux.org> 4.7-alt3
- added: clamd, clamsmtpd, jabberd2, mysqld (fixed #7169)

* Mon Jan 23 2006 Michael Shigorin <mike@altlinux.org> 4.7-alt2
- fixed DOS EOLs in monitrc too (thanks to abulava@ for alerting)

* Fri Jan 13 2006 Michael Shigorin <mike@altlinux.org> 4.7-alt1
- 4.7

* Tue Jan 10 2006 Michael Shigorin <mike@altlinux.org> 4.6-alt1
- rebuilt for Sisyphus

* Thu Nov 24 2005 Michael Shigorin <mike@altlinux.org> 4.6-alt0.M24.1
- 4.6

* Wed Aug 24 2005 Michael Shigorin <mike@altlinux.org> 4.5.1-alt0.M24.1
- built for ALM2.4
- conf split: syslogd -> syslogd + klogd (for vservers)
- run dos2unix on config snippets (*yuck*)
- repackaged monitrc.d as tar.bz2 instead of cpio.bz2

* Mon Apr 18 2005 Alexey Beleckiy <sinister@emt.com.ua> 4.5.1-alt1
- 4.5.1

* Thu Feb 24 2005 Michael Shigorin <mike@altlinux.ru> 4.4-alt2.1
- added patch regarding memory stats based on SuSE's 4.3 package
  (thanks homyakov@)

* Thu Feb 17 2005 Igor Homyakov <homyakov at altlinux dot ru> 4.4-alt2
- package splited into monit and monit-base

* Thu Feb 17 2005 Igor Homyakov <homyakov at altlinux dot ru> 4.4-alt1
- 4.4
- update spec

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 4.1.1-alt1.1
- Rebuilt with openssl-0.9.7d.

* Tue Mar 02 2004 Igor Homyakov <homyakov at altlinux dot ru> 4.2-alt20040302cvs
- cvs snapshot 2004-03-02

* Tue Feb 17 2004 Igor Homyakov <homyakov at altlinux dot ru> 4.2-alt20040217cvs
- cvs snapshot 2004-02-17

* Mon Feb 16 2004 Igor Homyakov <homyakov at altlinux dot ru> 4.2-alt20040216cvs
- cvs snapshot 2004-02-16
- added %_sysconfdir/%{name}rc.d directory

* Fri Feb 13 2004 Igor Homyakov <homyakov at altlinux dot ru> 4.1.1-alt1
- 4.1.1
- move daemon to %_bindir directory
- new SysV startup script
- update default config file
- s!/etc/init.d/!/sbin/service !
- fixed forbiden requires for fileutils

* Wed Dec 25 2002 Igor Homyakov <homyakov at altlinux dot ru> 3.1-alt1
- 3.1
- cleanups for ALT package policy
- update system config file
- add ssl files
- add patch from CVS (calculation of the daylight saving)

* Tue Sep 17 2002 Igor Homyakov <homyakov at altlinux dot ru> 3.0-alt1
- 3.0-alt1
- fixed little bug in config file
- strict permissions to config file

* Wed Jul 18 2002 Igor Homyakov <homyakov at altlinux dot ru> 2.5-alt1
- build package for ALT Linux distribution
- added ALT specific config file and startup script

* Wed Jul 10 2002 Rory Toma <rory@digeo.com>
- Upgraded to monit-2.4.3

* Mon Feb 05 2001 Clinton Work <work@scripty.com>
- Upgraded to monit 1.2
- Use chkconfig to add monit to the rc.d startup scripts
- Use the example monitrc instead of my custom monit.conf
- Fixed the monit homepage URL

* Thu Feb 01 2001 Clinton Work <work@scripty.com>
- Create the inital spec file
- Created a sample config file and a rc startup script
